Submit events for fraud detection and analysis

Submit application events to detect fraud and analyze in the SignalPrint explorer

Notes on Request Payloads

The accountId property should always be provided if the event can be associated with an account or user. The identifier should be immutable and not change in the context of your application. Without the accountId property, the email and phone properties are used to identify an account or user in your application. Note that if the timestamp is omitted from any event, then the current time will be used. The paymentHash property should be a securely (SHA256 or better, with key or salt) hashed representation of the payment method. Prefer using tokenized payment method values, only hash raw payment information as a last option. The deviceId property should be provided if the event can be associated with a unique device identifier. The workspaceCustomData can be up to 8KB of data and must be valid JSON. Note that the property names in the provided JSON object must not contain the . (period) or ASCII control characters. ASCII control characters are non-printable characters with codes 0-31 and 127.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The JSON formatted request body required to submit events

Timestamp in UNIX or RFC3339 format. Note that the timestamp cannot be older than 31 days from the current date or more than 24 hours in the future.

string
length between 1 and 128

Account identifier.

required

IPv4 address or IPv6 global unicast address

string
length between 5 and 128

Email address.

string
length between 8 and 64

Phone number with no spaces, and includes "+", Country Code, & Subscriber Number.

string
required
length between 8 and 256

User agent string.

string
length between 8 and 256

Secure hash of payment method.

string
enum
required

Event type.

workspaceCustomData
object

Custom account data in JSON format with an 8KB size limit. Note that the property names in the provided JSON object must not contain the . (period) or ASCII control characters. ASCII control characters are non-printable characters with codes 0-31 and 127.

string
length between 1 and 150

Device identifier.

string
length between 1 and 150

Session identifier.

string
length between 1 and 150

Target application identifier.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json